Subject: Re: bug#33772: StumpWM broken commands?

From: Ludovic Courtès <[email-masked]>
Date: Tue, 18 Dec 2018 12:18:28 +0100

Hi,

Christopher Lemmer Webber <[email-masked]> skribis:

> It seems to me that StumpWM broke somehow, for some reason.  I can
> confirm there was a version change:
>
> [email-masked]:out        /gnu/store/i0picr2xr2aq2a52nsaw67nvar1r3khw-sbcl-stumpwm-18.05
> [email-masked]:out        /gnu/store/6h2iln76dx8pxdp1hsaqb1yncm8viczj-sbcl-stumpwm-18.11
>
> I am not sure if this is the cause or something else.  At any rate, when
> I try to run commands such as "gnew" (the command to make a new
> group/workstation) I get back:
>
>   Error In Command 'gnew': invalid number of arguments: 2
>
> I though I'd try running the command manually and check the error, but
> this also happens with eval!  Some other commands are not affected.
>
> (I can try re-enabling the live REPL in StumpWM to play around with it,
> but I currently have it off because they have the same live hacking
> vulnerability in SBCL/SLIME that we had in Guile/Geiser some time ago.)

Pierre, does that ring a bell?

Others on the mailing list reported being happy with the upgrade, but
maybe they use different bits of StumpWM.

Thanks,
Ludo’.